> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetAccountVerifications

POST https://api.voximplant.com/platform_api/GetAccountVerifications

Gets all RU verifications for the specified account.

Allowed roles: `Owner`, `Admin`, `Accountant`, `Payer`.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/accounts/get-account-verifications

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetAccountVerifications:
    post:
      operationId: get-account-verifications
      summary: GetAccountVerifications
      description: |-
        Gets all RU verifications for the specified account.

        Allowed roles: `Owner`, `Admin`, `Accountant`, `Payer`.
      tags:
        - subpackage_accounts
      parameters:
        - name: account_id
          in: query
          description: Account ID to check verifications for
          required: true
          schema:
            type: integer
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/accounts_GetAccountVerifications_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AccountVerificationsTypeCredentialsIndividualActualAddress:
      type: object
      properties:
        country:
          type: string
        apartment_number:
          type: string
        city:
          type: string
        street:
          type: string
        district:
          type: string
        building_block:
          type: string
        region:
          type: string
        postal_code:
          type: string
        building_number:
          type: string
      title: AccountVerificationsTypeCredentialsIndividualActualAddress
    AccountVerificationsTypeCredentialsIndividualInternalRfPassportFullName:
      type: object
      properties:
        paternity_name:
          type: string
        last_name:
          type: string
        first_name:
          type: string
      title: AccountVerificationsTypeCredentialsIndividualInternalRfPassportFullName
    AccountVerificationsTypeCredentialsIndividualInternalRfPassportRegistrationAddress:
      type: object
      properties:
        country:
          type: string
        apartment_number:
          type: string
        city:
          type: string
        street:
          type: string
        district:
          type: string
        building_block:
          type: string
        region:
          type: string
        postal_code:
          type: string
        building_number:
          type: string
      title: >-
        AccountVerificationsTypeCredentialsIndividualInternalRfPassportRegistrationAddress
    AccountVerificationsTypeCredentialsIndividualInternalRfPassport:
      type: object
      properties:
        number:
          type: string
        issued_by:
          type: string
        full_name:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsIndividualInternalRfPassportFullName
        issue_date:
          type: string
        series:
          type: string
        birth_date:
          type: string
        registration_address:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsIndividualInternalRfPassportRegistrationAddress
      title: AccountVerificationsTypeCredentialsIndividualInternalRfPassport
    AccountVerificationsTypeCredentialsIndividual:
      type: object
      properties:
        actual_address:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsIndividualActualAddress
        correspondence_emails:
          type: array
          items:
            type: string
        identification_document_type:
          type: string
        phone_number:
          type: string
        internal_rf_passport:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsIndividualInternalRfPassport
      description: Details of a person who takes the verification
      title: AccountVerificationsTypeCredentialsIndividual
    AccountVerificationsTypeCredentialsLegalEntityActualAddress:
      type: object
      properties:
        country:
          type: string
        apartment_number:
          type: string
        city:
          type: string
        street:
          type: string
        district:
          type: string
        building_block:
          type: string
        region:
          type: string
        postal_code:
          type: string
        building_number:
          type: string
      title: AccountVerificationsTypeCredentialsLegalEntityActualAddress
    AccountVerificationsTypeCredentialsLegalEntityBank:
      type: object
      properties:
        expense_account:
          type: string
        correspondent_account:
          type: string
        name:
          type: string
        bic:
          type: string
      title: AccountVerificationsTypeCredentialsLegalEntityBank
    AccountVerificationsTypeCredentialsLegalEntityLegalAddress:
      type: object
      properties:
        country:
          type: string
        apartment_number:
          type: string
        city:
          type: string
        street:
          type: string
        district:
          type: string
        building_block:
          type: string
        region:
          type: string
        postal_code:
          type: string
        building_number:
          type: string
      title: AccountVerificationsTypeCredentialsLegalEntityLegalAddress
    AccountVerificationsTypeCredentialsLegalEntityCorrespondenceAddress:
      type: object
      properties:
        country:
          type: string
        apartment_number:
          type: string
        city:
          type: string
        street:
          type: string
        district:
          type: string
        building_block:
          type: string
        region:
          type: string
        postal_code:
          type: string
        building_number:
          type: string
      title: AccountVerificationsTypeCredentialsLegalEntityCorrespondenceAddress
    AccountVerificationsTypeCredentialsLegalEntityCorrespondence:
      type: object
      properties:
        emails:
          type: array
          items:
            type: string
        address:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsLegalEntityCorrespondenceAddress
      title: AccountVerificationsTypeCredentialsLegalEntityCorrespondence
    AccountVerificationsTypeCredentialsLegalEntitySignatoryFullName:
      type: object
      properties:
        paternity_name:
          type: string
        last_name:
          type: string
        first_name:
          type: string
      title: AccountVerificationsTypeCredentialsLegalEntitySignatoryFullName
    AccountVerificationsTypeCredentialsLegalEntitySignatory:
      type: object
      properties:
        full_name:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsLegalEntitySignatoryFullName
        signatory_type:
          type: string
        confirming_authority_credentials:
          type: string
      title: AccountVerificationsTypeCredentialsLegalEntitySignatory
    AccountVerificationsTypeCredentialsLegalEntity:
      type: object
      properties:
        ogrn:
          type: string
        actual_address:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsLegalEntityActualAddress
        bank:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsLegalEntityBank
        legal_address:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsLegalEntityLegalAddress
        correspondence:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsLegalEntityCorrespondence
        inn:
          type: string
        name:
          type: string
        kpp:
          type: string
        phone_number:
          type: string
        signatory:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsLegalEntitySignatory
      description: Company details for a legal entity
      title: AccountVerificationsTypeCredentialsLegalEntity
    AccountVerificationsTypeCredentialsEntrepreneurBank:
      type: object
      properties:
        expense_account:
          type: string
        correspondent_account:
          type: string
        name:
          type: string
        bic:
          type: string
      title: AccountVerificationsTypeCredentialsEntrepreneurBank
    AccountVerificationsTypeCredentialsEntrepreneurCorrespondenceAddress:
      type: object
      properties:
        country:
          type: string
        apartment_number:
          type: string
        city:
          type: string
        street:
          type: string
        district:
          type: string
        building_block:
          type: string
        region:
          type: string
        postal_code:
          type: string
        building_number:
          type: string
      title: AccountVerificationsTypeCredentialsEntrepreneurCorrespondenceAddress
    AccountVerificationsTypeCredentialsEntrepreneurCorrespondence:
      type: object
      properties:
        emails:
          type: array
          items:
            type: string
        address:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsEntrepreneurCorrespondenceAddress
      title: AccountVerificationsTypeCredentialsEntrepreneurCorrespondence
    AccountVerificationsTypeCredentialsEntrepreneurSignatoryFullName:
      type: object
      properties:
        paternity_name:
          type: string
        last_name:
          type: string
        first_name:
          type: string
      title: AccountVerificationsTypeCredentialsEntrepreneurSignatoryFullName
    AccountVerificationsTypeCredentialsEntrepreneurSignatory:
      type: object
      properties:
        full_name:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsEntrepreneurSignatoryFullName
        signatory_type:
          type: string
        confirming_authority_credentials:
          type: string
      title: AccountVerificationsTypeCredentialsEntrepreneurSignatory
    AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassportFullName:
      type: object
      properties:
        paternity_name:
          type: string
        last_name:
          type: string
        first_name:
          type: string
      title: >-
        AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassportFullName
    AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassportRegistrationAddress:
      type: object
      properties:
        country:
          type: string
        apartment_number:
          type: string
        city:
          type: string
        street:
          type: string
        district:
          type: string
        building_block:
          type: string
        region:
          type: string
        postal_code:
          type: string
        building_number:
          type: string
      title: >-
        AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassportRegistrationAddress
    AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassport:
      type: object
      properties:
        number:
          type: string
        issued_by:
          type: string
        full_name:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassportFullName
        issue_date:
          type: string
        series:
          type: string
        birth_date:
          type: string
        registration_address:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassportRegistrationAddress
      title: AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassport
    AccountVerificationsTypeCredentialsEntrepreneur:
      type: object
      properties:
        ogrnip:
          type: string
        bank:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsEntrepreneurBank
        correspondence:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsEntrepreneurCorrespondence
        inn:
          type: string
        egrip_registration_credentials:
          type: string
        phone_number:
          type: string
        signatory:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsEntrepreneurSignatory
        owner_identification_document_type:
          type: string
        internal_rf_passport:
          $ref: >-
            #/components/schemas/AccountVerificationsTypeCredentialsEntrepreneurInternalRfPassport
      description: Company details for a individual entrepreneur
      title: AccountVerificationsTypeCredentialsEntrepreneur
    AccountVerificationsTypeCredentials:
      type: object
      properties:
        individual:
          $ref: '#/components/schemas/AccountVerificationsTypeCredentialsIndividual'
          description: Details of a person who takes the verification
        legal_entity:
          $ref: '#/components/schemas/AccountVerificationsTypeCredentialsLegalEntity'
          description: Company details for a legal entity
        entrepreneur:
          $ref: '#/components/schemas/AccountVerificationsTypeCredentialsEntrepreneur'
          description: Company details for a individual entrepreneur
        legal_status:
          type: string
          description: >-
            Subscriber type. Possible values are: INDIVIDUAL, LEGAL_ENTITY,
            ENTREPRENEUR
      description: Person or company who takes the verification.
      title: AccountVerificationsTypeCredentials
    AccountVerificationsTypeDefaultEndUser:
      type: object
      properties:
        end_user_uuid:
          type: integer
          description: Customer's UUID
        credentials:
          type: object
          additionalProperties:
            description: Any type
          description: Customer's data
      description: Verification's default customer.
      title: AccountVerificationsTypeDefaultEndUser
    AccountVerificationsTypeAgreements:
      type: object
      properties:
        agreement_id:
          type: integer
          description: Agreement ID
        type:
          type: string
          description: Agreement type
        status:
          type: string
          description: >-
            Agreement status. Possible values are: NEW, IN_PROCESS, VERIFIED,
            REJECTED
        agreement_number:
          type: string
          description: Agreement number
        agreement_date:
          type: string
          description: Agreement signing date
        signing_type:
          type: string
          description: 'Agreement signing date. Possible values are: MANUAL, ESIGNATURE'
        comments:
          type:
            - string
            - 'null'
          description: Comments for the customer in case of agreement rejection
      description: Agreements list.
      title: AccountVerificationsTypeAgreements
    AccountVerificationsType:
      type: object
      properties:
        verification_id:
          type: integer
          description: Verification ID
        status:
          type: string
          description: >-
            Verification status. Possible values are:
            AWAITING_DOCUMENTS_UPLOADING, AWAITING_AGREEMENT_UPLOADING,
            AWAITING_VERIFICATION, WAITING_FOR_CONFIRMATION_DOCUMENTS, VERIFIED,
            REJECTED, WAITING_PERIOD_EXPIRED
        status_scheme:
          type: string
          description: Status scheme name
        creation_type:
          type: string
          description: >-
            Verification creation type. Possible values are: MANUAL, GOSUSLUGI,
            TRANSFER_RIGHTS
        created:
          type: string
          description: 'Date created in the following format: 2022-07-12 07:06:05'
        comments:
          type:
            - string
            - 'null'
          description: Comments for the customer in case of verification rejection
        credentials:
          $ref: '#/components/schemas/AccountVerificationsTypeCredentials'
          description: Person or company who takes the verification
        default_end_user:
          oneOf:
            - $ref: '#/components/schemas/AccountVerificationsTypeDefaultEndUser'
            - type: 'null'
          description: Verification's default customer
        agreements:
          type: array
          items:
            $ref: '#/components/schemas/AccountVerificationsTypeAgreements'
          description: Agreements list
      description: Account verifications.
      title: AccountVerificationsType
    accounts_GetAccountVerifications_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/AccountVerificationsType'
          description: Account verifications
      title: accounts_GetAccountVerifications_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetAccountVerifications"

querystring = {"account_id":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetAccountVerifications?account_id=1';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetAccountVerifications?account_id=1"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetAccountVerifications?account_id=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetAccountVerifications?account_id=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetAccountVerifications?account_id=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetAccountVerifications?account_id=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAccountVerifications?account_id=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```